<main>
    <div class="product-container" *ngIf="product">
        <h2>{{ product.name }}</h2>
        <div class="product-infos">
            <img src="{{ product.imageSrc }}" alt="{{ product.name }}" />
            <div class="texts">
                <span class="price">{{ product.price }}€</span>
                <span class="description">{{ product.description }}</span>
                <div>
                    <button mat-button (click)="addToBasket(product)">Ajouter au panier</button>
                    <!-- <button mat-button (click)="purchase()">Acheter</button> -->
                </div>
            </div>
        </div>
    </div>
    <div class="upsell-container" *ngIf="product">
        <div class="grid-container">
            <h3>Produits similaires</h3>
            <div class="catalog">
                <a routerLink="/p/{{ relatedProduct.id }}" class="item"
                    *ngFor="let relatedProduct of product.relatedProducts">
                    <span class="image">
                        <img src="{{ relatedProduct.imageSrc }}" alt="{{ relatedProduct.name }}" />
                    </span>
                    <div class="texts">
                        <span class="name">{{ relatedProduct.name }}</span>
                        <span class="price">{{ relatedProduct.price }}€</span>
                    </div>
                    <button mat-button (click)="addToBasket(relatedProduct)">Ajouter au panier</button>
                </a>
            </div>
        </div>
    </div>
</main>